const os = require('os');
const sys = os.platform();
const path = require('path');
const {startup} = require('./plug-in/fk2Path');
const auto = require('./plug-in/startup');
const add = require('./plug-in/addFile');
if(sys=='win32'){
    // win系统创建bat 和vbs文件、
    add(paths('startup.vbs'),`set ws=createobject("wscript.shell")\n ws.run "fk2 work",0`);
    auto(paths('startup.vbs'),true);
}else if(sys=='linux'){
    add(paths('startup.sh'),`#! /bin/bash\n fk2 work`);
    auto(paths('startup.sh'),true);
} else if(sys=='darwin'){
    // 苹果mac系统
    add(paths('startup.sh'),`#! /bin/bash\n fk2 work`);
    auto(paths('startup.sh'),true);
}
function paths(urls) {
    if(urls){
        return path.join(startup,'./'+urls)
    }
    return startup
}